prompt --application/set_environment
set define off verify off feedback off
whenever sqlerror exit sql.sqlcode rollback
--------------------------------------------------------------------------------
--
-- Oracle APEX export file
--
-- You should run this script using a SQL client connected to the database as
-- the owner (parsing schema) of the application or as a database user with the
-- APEX_ADMINISTRATOR_ROLE role.
--
-- This export file has been automatically generated. Modifying this file is not
-- supported by Oracle and can lead to unexpected application and/or instance
-- behavior now or in the future.
--
-- NOTE: Calls to apex_application_install override the defaults below.
--
--------------------------------------------------------------------------------
begin
wwv_flow_imp.import_begin (
 p_version_yyyy_mm_dd=>'2023.10.31'
,p_release=>'23.2.0'
,p_default_workspace_id=>6992713746451057
,p_default_application_id=>135
,p_default_id_offset=>0
,p_default_owner=>'OT'
);
end;
/
 
prompt APPLICATION 135 - Apex Plugins By Oracle Tech
--
-- Application Export:
--   Application:     135
--   Name:            Apex Plugins By Oracle Tech
--   Date and Time:   15:40 Tuesday December 26, 2023
--   Exported By:     ADMIN
--   Flashback:       0
--   Export Type:     Component Export
--   Manifest
--     PLUGIN: 5098395429456063
--   Manifest End
--   Version:         23.2.0
--   Instance ID:     708608487353010
--

begin
  -- replace components
  wwv_flow_imp.g_mode := 'REPLACE';
end;
/
prompt --application/shared_components/plugins/template_component/dynamic_typed_card
begin
wwv_flow_imp_shared.create_plugin(
 p_id=>wwv_flow_imp.id(5098395429456063)
,p_plugin_type=>'TEMPLATE COMPONENT'
,p_theme_id=>nvl(wwv_flow_application_install.get_theme_id, '')
,p_name=>'DYNAMIC_TYPED_CARD'
,p_display_name=>'Dynamic Typed Card'
,p_supported_component_types=>'PARTIAL:REPORT'
,p_javascript_file_urls=>wwv_flow_string.join(wwv_flow_t_varchar2(
'#PLUGIN_FILES#typed#MIN#.js',
'#PLUGIN_FILES#main#MIN#.js'))
,p_css_file_urls=>'#PLUGIN_FILES#style#MIN#.css'
,p_partial_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'{if APEX$IS_LAZY_LOADING/}',
'  <div></div>',
'{else/}',
'    <section class="main-sec-typed">',
'    <div class="main-div-typed">',
'      <h1>#HEADER_TEXT#</h1>',
'      <p>#STATIC_TEXT# <span class="typed" data-typed-items="#TYPED_TEXT#"></span></p>',
'      <span class="loop" style="display:none;" loop-enabled-func="#LOOP_ENABLED#"></span>',
'      <span class="typespeed" style="display:none;" type-speed-func="#TYPE_SPEED#"></span>',
'      <span class="backspeed" style="display:none;" back-speed-func="#BACK_SPEED#"></span>',
'      <span class="backdelay" style="display:none;" back-delay-func="#BACK_DELAY#"></span>',
'    </div>',
'  </section>',
'{endif/}'))
,p_default_escape_mode=>'HTML'
,p_translate_this_template=>false
,p_api_version=>2
,p_report_body_template=>'<div class="tc_div">#APEX$ROWS#</div>'
,p_report_row_template=>'<div class="tc_row" #APEX$ROW_IDENTIFICATION#>#APEX$PARTIAL#</div>'
,p_report_placeholder_count=>3
,p_substitute_attributes=>true
,p_subscribe_plugin_settings=>true
,p_help_text=>'The Dynamic Typed Card plugin is a unique region plugin that brings an engaging and interactive element to your APEX applications. It combines static text and dynamic typing effects using the typed.js library, elegantly presented within a card layout'
||'. This plugin is perfect for adding a touch of dynamism to your application dashboards, homepages, or any area where you want to draw attention with animated text.'
,p_version_identifier=>'1.0'
,p_about_url=>'https://blog.oracletech.com.pk'
,p_files_version=>13
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(5098624412456084)
,p_plugin_id=>wwv_flow_imp.id(5098395429456063)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>1
,p_display_sequence=>10
,p_static_id=>'BACK_DELAY'
,p_prompt=>'Back Delay'
,p_attribute_type=>'SESSION STATE VALUE'
,p_is_required=>false
,p_escape_mode=>'HTML'
,p_column_data_types=>'VARCHAR2'
,p_is_translatable=>false
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(5099086990456085)
,p_plugin_id=>wwv_flow_imp.id(5098395429456063)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>2
,p_display_sequence=>20
,p_static_id=>'BACK_SPEED'
,p_prompt=>'Back Speed'
,p_attribute_type=>'SESSION STATE VALUE'
,p_is_required=>false
,p_escape_mode=>'HTML'
,p_column_data_types=>'VARCHAR2'
,p_is_translatable=>false
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(5099471648456085)
,p_plugin_id=>wwv_flow_imp.id(5098395429456063)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>3
,p_display_sequence=>30
,p_static_id=>'HEADER_TEXT'
,p_prompt=>'Header Text'
,p_attribute_type=>'SESSION STATE VALUE'
,p_is_required=>false
,p_escape_mode=>'HTML'
,p_column_data_types=>'VARCHAR2'
,p_is_translatable=>false
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(5099877444456085)
,p_plugin_id=>wwv_flow_imp.id(5098395429456063)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>4
,p_display_sequence=>40
,p_static_id=>'LOOP_ENABLED'
,p_prompt=>'Loop Enabled'
,p_attribute_type=>'SESSION STATE VALUE'
,p_is_required=>false
,p_escape_mode=>'HTML'
,p_column_data_types=>'VARCHAR2'
,p_is_translatable=>false
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(5100232881456085)
,p_plugin_id=>wwv_flow_imp.id(5098395429456063)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>5
,p_display_sequence=>50
,p_static_id=>'STATIC_TEXT'
,p_prompt=>'Static Text'
,p_attribute_type=>'SESSION STATE VALUE'
,p_is_required=>false
,p_escape_mode=>'HTML'
,p_column_data_types=>'VARCHAR2'
,p_is_translatable=>false
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(5100647560456086)
,p_plugin_id=>wwv_flow_imp.id(5098395429456063)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>6
,p_display_sequence=>60
,p_static_id=>'TYPED_TEXT'
,p_prompt=>'Typed Text'
,p_attribute_type=>'SESSION STATE VALUE'
,p_is_required=>false
,p_escape_mode=>'HTML'
,p_column_data_types=>'VARCHAR2'
,p_is_translatable=>false
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(5101069251456086)
,p_plugin_id=>wwv_flow_imp.id(5098395429456063)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>7
,p_display_sequence=>70
,p_static_id=>'TYPE_SPEED'
,p_prompt=>'Type Speed'
,p_attribute_type=>'SESSION STATE VALUE'
,p_is_required=>false
,p_escape_mode=>'HTML'
,p_column_data_types=>'VARCHAR2'
,p_is_translatable=>false
);
end;
/
begin
wwv_flow_imp.g_varchar2_table := wwv_flow_imp.empty_varchar2_table;
wwv_flow_imp.g_varchar2_table(1) := '2F2A210D0A202A200D0A202A20202074797065642E6A73202D2041204A61766153637269707420547970696E6720416E696D6174696F6E204C6962726172790D0A202A202020417574686F723A204D61747420426F6C6474203C6D65406D617474626F6C';
wwv_flow_imp.g_varchar2_table(2) := '64742E636F6D3E0D0A202A20202056657273696F6E3A2076322E302E31320D0A202A20202055726C3A2068747470733A2F2F6769746875622E636F6D2F6D617474626F6C64742F74797065642E6A730D0A202A2020204C6963656E73652873293A204D49';
wwv_flow_imp.g_varchar2_table(3) := '540D0A202A200D0A202A2F0D0A2866756E6374696F6E28742C65297B226F626A656374223D3D747970656F66206578706F7274732626226F626A656374223D3D747970656F66206D6F64756C653F6D6F64756C652E6578706F7274733D6528293A226675';
wwv_flow_imp.g_varchar2_table(4) := '6E6374696F6E223D3D747970656F6620646566696E652626646566696E652E616D643F646566696E65285B5D2C65293A226F626A656374223D3D747970656F66206578706F7274733F6578706F7274732E54797065643D6528293A742E54797065643D65';
wwv_flow_imp.g_varchar2_table(5) := '28297D2928746869732C66756E6374696F6E28297B72657475726E2066756E6374696F6E2874297B66756E6374696F6E2065286E297B696628735B6E5D2972657475726E20735B6E5D2E6578706F7274733B76617220693D735B6E5D3D7B6578706F7274';
wwv_flow_imp.g_varchar2_table(6) := '733A7B7D2C69643A6E2C6C6F616465643A21317D3B72657475726E20745B6E5D2E63616C6C28692E6578706F7274732C692C692E6578706F7274732C65292C692E6C6F616465643D21302C692E6578706F7274737D76617220733D7B7D3B72657475726E';
wwv_flow_imp.g_varchar2_table(7) := '20652E6D3D742C652E633D732C652E703D22222C652830297D285B66756E6374696F6E28742C652C73297B2275736520737472696374223B66756E6374696F6E206E28742C65297B69662821287420696E7374616E63656F66206529297468726F77206E';
wwv_flow_imp.g_varchar2_table(8) := '657720547970654572726F72282243616E6E6F742063616C6C206120636C61737320617320612066756E6374696F6E22297D4F626A6563742E646566696E6550726F706572747928652C225F5F65734D6F64756C65222C7B76616C75653A21307D293B76';
wwv_flow_imp.g_varchar2_table(9) := '617220693D66756E6374696F6E28297B66756E6374696F6E207428742C65297B666F722876617220733D303B733C652E6C656E6774683B732B2B297B766172206E3D655B735D3B6E2E656E756D657261626C653D6E2E656E756D657261626C657C7C2131';
wwv_flow_imp.g_varchar2_table(10) := '2C6E2E636F6E666967757261626C653D21302C2276616C756522696E206E2626286E2E7772697461626C653D2130292C4F626A6563742E646566696E6550726F706572747928742C6E2E6B65792C6E297D7D72657475726E2066756E6374696F6E28652C';
wwv_flow_imp.g_varchar2_table(11) := '732C6E297B72657475726E207326267428652E70726F746F747970652C73292C6E26267428652C6E292C657D7D28292C723D732831292C6F3D732833292C613D66756E6374696F6E28297B66756E6374696F6E207428652C73297B6E28746869732C7429';
wwv_flow_imp.g_varchar2_table(12) := '2C722E696E697469616C697A65722E6C6F616428746869732C732C65292C746869732E626567696E28297D72657475726E206928742C5B7B6B65793A22746F67676C65222C76616C75653A66756E6374696F6E28297B746869732E70617573652E737461';
wwv_flow_imp.g_varchar2_table(13) := '7475733F746869732E737461727428293A746869732E73746F7028297D7D2C7B6B65793A2273746F70222C76616C75653A66756E6374696F6E28297B746869732E747970696E67436F6D706C6574657C7C746869732E70617573652E7374617475737C7C';
wwv_flow_imp.g_varchar2_table(14) := '28746869732E746F67676C65426C696E6B696E67282130292C746869732E70617573652E7374617475733D21302C746869732E6F7074696F6E732E6F6E53746F7028746869732E6172726179506F732C7468697329297D7D2C7B6B65793A227374617274';
wwv_flow_imp.g_varchar2_table(15) := '222C76616C75653A66756E6374696F6E28297B746869732E747970696E67436F6D706C6574657C7C746869732E70617573652E737461747573262628746869732E70617573652E7374617475733D21312C746869732E70617573652E7479706577726974';
wwv_flow_imp.g_varchar2_table(16) := '653F746869732E74797065777269746528746869732E70617573652E637572537472696E672C746869732E70617573652E637572537472506F73293A746869732E6261636B737061636528746869732E70617573652E637572537472696E672C74686973';
wwv_flow_imp.g_varchar2_table(17) := '2E70617573652E637572537472506F73292C746869732E6F7074696F6E732E6F6E537461727428746869732E6172726179506F732C7468697329297D7D2C7B6B65793A2264657374726F79222C76616C75653A66756E6374696F6E28297B746869732E72';
wwv_flow_imp.g_varchar2_table(18) := '65736574282131292C746869732E6F7074696F6E732E6F6E44657374726F792874686973297D7D2C7B6B65793A227265736574222C76616C75653A66756E6374696F6E28297B76617220743D617267756D656E74732E6C656E6774683C3D307C7C766F69';
wwv_flow_imp.g_varchar2_table(19) := '6420303D3D3D617267756D656E74735B305D7C7C617267756D656E74735B305D3B636C656172496E74657276616C28746869732E74696D656F7574292C746869732E7265706C61636554657874282222292C746869732E637572736F722626746869732E';
wwv_flow_imp.g_varchar2_table(20) := '637572736F722E706172656E744E6F6465262628746869732E637572736F722E706172656E744E6F64652E72656D6F76654368696C6428746869732E637572736F72292C746869732E637572736F723D6E756C6C292C746869732E737472506F733D302C';
wwv_flow_imp.g_varchar2_table(21) := '746869732E6172726179506F733D302C746869732E6375724C6F6F703D302C74262628746869732E696E73657274437572736F7228292C746869732E6F7074696F6E732E6F6E52657365742874686973292C746869732E626567696E2829297D7D2C7B6B';
wwv_flow_imp.g_varchar2_table(22) := '65793A22626567696E222C76616C75653A66756E6374696F6E28297B76617220743D746869733B746869732E6F7074696F6E732E6F6E426567696E2874686973292C746869732E747970696E67436F6D706C6574653D21312C746869732E73687566666C';
wwv_flow_imp.g_varchar2_table(23) := '65537472696E677349664E65656465642874686973292C746869732E696E73657274437572736F7228292C746869732E62696E64496E707574466F6375734576656E74732626746869732E62696E64466F6375734576656E747328292C746869732E7469';
wwv_flow_imp.g_varchar2_table(24) := '6D656F75743D73657454696D656F75742866756E6374696F6E28297B742E63757272656E74456C436F6E74656E74262630213D3D742E63757272656E74456C436F6E74656E742E6C656E6774683F742E6261636B737061636528742E63757272656E7445';
wwv_flow_imp.g_varchar2_table(25) := '6C436F6E74656E742C742E63757272656E74456C436F6E74656E742E6C656E677468293A742E74797065777269746528742E737472696E67735B742E73657175656E63655B742E6172726179506F735D5D2C742E737472506F73297D2C746869732E7374';
wwv_flow_imp.g_varchar2_table(26) := '61727444656C6179297D7D2C7B6B65793A22747970657772697465222C76616C75653A66756E6374696F6E28742C65297B76617220733D746869733B746869732E666164654F75742626746869732E656C2E636C6173734C6973742E636F6E7461696E73';
wwv_flow_imp.g_varchar2_table(27) := '28746869732E666164654F7574436C61737329262628746869732E656C2E636C6173734C6973742E72656D6F766528746869732E666164654F7574436C617373292C746869732E637572736F722626746869732E637572736F722E636C6173734C697374';
wwv_flow_imp.g_varchar2_table(28) := '2E72656D6F766528746869732E666164654F7574436C61737329293B766172206E3D746869732E68756D616E697A657228746869732E747970655370656564292C693D313B72657475726E20746869732E70617573652E7374617475733D3D3D21303F76';
wwv_flow_imp.g_varchar2_table(29) := '6F696420746869732E736574506175736553746174757328742C652C2130293A766F696428746869732E74696D656F75743D73657454696D656F75742866756E6374696F6E28297B653D6F2E68746D6C5061727365722E7479706548746D6C4368617273';
wwv_flow_imp.g_varchar2_table(30) := '28742C652C73293B766172206E3D302C723D742E7375627374722865293B696628225E223D3D3D722E63686172417428302926262F5E5C5E5C642B2F2E74657374287229297B76617220613D313B723D2F5C642B2F2E657865632872295B305D2C612B3D';
wwv_flow_imp.g_varchar2_table(31) := '722E6C656E6774682C6E3D7061727365496E742872292C732E74656D706F7261727950617573653D21302C732E6F7074696F6E732E6F6E547970696E6750617573656428732E6172726179506F732C73292C743D742E737562737472696E6728302C6529';
wwv_flow_imp.g_varchar2_table(32) := '2B742E737562737472696E6728652B61292C732E746F67676C65426C696E6B696E67282130297D6966282260223D3D3D722E636861724174283029297B666F72283B226022213D3D742E73756273747228652B69292E636861724174283029262628692B';
wwv_flow_imp.g_varchar2_table(33) := '2B2C2128652B693E742E6C656E67746829293B293B76617220753D742E737562737472696E6728302C65292C6C3D742E737562737472696E6728752E6C656E6774682B312C652B69292C633D742E737562737472696E6728652B692B31293B743D752B6C';
wwv_flow_imp.g_varchar2_table(34) := '2B632C692D2D7D732E74696D656F75743D73657454696D656F75742866756E6374696F6E28297B732E746F67676C65426C696E6B696E67282131292C653E3D742E6C656E6774683F732E646F6E65547970696E6728742C65293A732E6B65657054797069';
wwv_flow_imp.g_varchar2_table(35) := '6E6728742C652C69292C732E74656D706F726172795061757365262628732E74656D706F7261727950617573653D21312C732E6F7074696F6E732E6F6E547970696E67526573756D656428732E6172726179506F732C7329297D2C6E297D2C6E29297D7D';
wwv_flow_imp.g_varchar2_table(36) := '2C7B6B65793A226B656570547970696E67222C76616C75653A66756E6374696F6E28742C652C73297B303D3D3D65262628746869732E746F67676C65426C696E6B696E67282131292C746869732E6F7074696F6E732E707265537472696E675479706564';
wwv_flow_imp.g_varchar2_table(37) := '28746869732E6172726179506F732C7468697329292C652B3D733B766172206E3D742E73756273747228302C65293B746869732E7265706C61636554657874286E292C746869732E74797065777269746528742C65297D7D2C7B6B65793A22646F6E6554';
wwv_flow_imp.g_varchar2_table(38) := '7970696E67222C76616C75653A66756E6374696F6E28742C65297B76617220733D746869733B746869732E6F7074696F6E732E6F6E537472696E67547970656428746869732E6172726179506F732C74686973292C746869732E746F67676C65426C696E';
wwv_flow_imp.g_varchar2_table(39) := '6B696E67282130292C746869732E6172726179506F733D3D3D746869732E737472696E67732E6C656E6774682D31262628746869732E636F6D706C65746528292C746869732E6C6F6F703D3D3D21317C7C746869732E6375724C6F6F703D3D3D74686973';
wwv_flow_imp.g_varchar2_table(40) := '2E6C6F6F70436F756E74297C7C28746869732E74696D656F75743D73657454696D656F75742866756E6374696F6E28297B732E6261636B737061636528742C65297D2C746869732E6261636B44656C617929297D7D2C7B6B65793A226261636B73706163';
wwv_flow_imp.g_varchar2_table(41) := '65222C76616C75653A66756E6374696F6E28742C65297B76617220733D746869733B696628746869732E70617573652E7374617475733D3D3D21302972657475726E20766F696420746869732E736574506175736553746174757328742C652C2131293B';
wwv_flow_imp.g_varchar2_table(42) := '696628746869732E666164654F75742972657475726E20746869732E696E6974466164654F757428293B746869732E746F67676C65426C696E6B696E67282131293B766172206E3D746869732E68756D616E697A657228746869732E6261636B53706565';
wwv_flow_imp.g_varchar2_table(43) := '64293B746869732E74696D656F75743D73657454696D656F75742866756E6374696F6E28297B653D6F2E68746D6C5061727365722E6261636B537061636548746D6C436861727328742C652C73293B766172206E3D742E73756273747228302C65293B69';
wwv_flow_imp.g_varchar2_table(44) := '6628732E7265706C61636554657874286E292C732E736D6172744261636B7370616365297B76617220693D732E737472696E67735B732E6172726179506F732B315D3B6926266E3D3D3D692E73756273747228302C65293F732E73746F704E756D3D653A';
wwv_flow_imp.g_varchar2_table(45) := '732E73746F704E756D3D307D653E732E73746F704E756D3F28652D2D2C732E6261636B737061636528742C6529293A653C3D732E73746F704E756D262628732E6172726179506F732B2B2C732E6172726179506F733D3D3D732E737472696E67732E6C65';
wwv_flow_imp.g_varchar2_table(46) := '6E6774683F28732E6172726179506F733D302C732E6F7074696F6E732E6F6E4C617374537472696E674261636B73706163656428292C732E73687566666C65537472696E677349664E656564656428292C732E626567696E2829293A732E747970657772';
wwv_flow_imp.g_varchar2_table(47) := '69746528732E737472696E67735B732E73657175656E63655B732E6172726179506F735D5D2C6529297D2C6E297D7D2C7B6B65793A22636F6D706C657465222C76616C75653A66756E6374696F6E28297B746869732E6F7074696F6E732E6F6E436F6D70';
wwv_flow_imp.g_varchar2_table(48) := '6C6574652874686973292C746869732E6C6F6F703F746869732E6375724C6F6F702B2B3A746869732E747970696E67436F6D706C6574653D21307D7D2C7B6B65793A227365745061757365537461747573222C76616C75653A66756E6374696F6E28742C';
wwv_flow_imp.g_varchar2_table(49) := '652C73297B746869732E70617573652E7479706577726974653D732C746869732E70617573652E637572537472696E673D742C746869732E70617573652E637572537472506F733D657D7D2C7B6B65793A22746F67676C65426C696E6B696E67222C7661';
wwv_flow_imp.g_varchar2_table(50) := '6C75653A66756E6374696F6E2874297B746869732E637572736F72262628746869732E70617573652E7374617475737C7C746869732E637572736F72426C696E6B696E67213D3D74262628746869732E637572736F72426C696E6B696E673D742C743F74';
wwv_flow_imp.g_varchar2_table(51) := '6869732E637572736F722E636C6173734C6973742E616464282274797065642D637572736F722D2D626C696E6B22293A746869732E637572736F722E636C6173734C6973742E72656D6F7665282274797065642D637572736F722D2D626C696E6B222929';
wwv_flow_imp.g_varchar2_table(52) := '297D7D2C7B6B65793A2268756D616E697A6572222C76616C75653A66756E6374696F6E2874297B72657475726E204D6174682E726F756E64284D6174682E72616E646F6D28292A742F32292B747D7D2C7B6B65793A2273687566666C65537472696E6773';
wwv_flow_imp.g_varchar2_table(53) := '49664E6565646564222C76616C75653A66756E6374696F6E28297B746869732E73687566666C65262628746869732E73657175656E63653D746869732E73657175656E63652E736F72742866756E6374696F6E28297B72657475726E204D6174682E7261';
wwv_flow_imp.g_varchar2_table(54) := '6E646F6D28292D2E357D29297D7D2C7B6B65793A22696E6974466164654F7574222C76616C75653A66756E6374696F6E28297B76617220743D746869733B72657475726E20746869732E656C2E636C6173734E616D652B3D2220222B746869732E666164';
wwv_flow_imp.g_varchar2_table(55) := '654F7574436C6173732C746869732E637572736F72262628746869732E637572736F722E636C6173734E616D652B3D2220222B746869732E666164654F7574436C617373292C73657454696D656F75742866756E6374696F6E28297B742E617272617950';
wwv_flow_imp.g_varchar2_table(56) := '6F732B2B2C742E7265706C61636554657874282222292C742E737472696E67732E6C656E6774683E742E6172726179506F733F742E74797065777269746528742E737472696E67735B742E73657175656E63655B742E6172726179506F735D5D2C30293A';
wwv_flow_imp.g_varchar2_table(57) := '28742E74797065777269746528742E737472696E67735B305D2C30292C742E6172726179506F733D30297D2C746869732E666164654F757444656C6179297D7D2C7B6B65793A227265706C61636554657874222C76616C75653A66756E6374696F6E2874';
wwv_flow_imp.g_varchar2_table(58) := '297B746869732E617474723F746869732E656C2E73657441747472696275746528746869732E617474722C74293A746869732E6973496E7075743F746869732E656C2E76616C75653D743A2268746D6C223D3D3D746869732E636F6E74656E7454797065';
wwv_flow_imp.g_varchar2_table(59) := '3F746869732E656C2E696E6E657248544D4C3D743A746869732E656C2E74657874436F6E74656E743D747D7D2C7B6B65793A2262696E64466F6375734576656E7473222C76616C75653A66756E6374696F6E28297B76617220743D746869733B74686973';
wwv_flow_imp.g_varchar2_table(60) := '2E6973496E707574262628746869732E656C2E6164644576656E744C697374656E65722822666F637573222C66756E6374696F6E2865297B742E73746F7028297D292C746869732E656C2E6164644576656E744C697374656E65722822626C7572222C66';
wwv_flow_imp.g_varchar2_table(61) := '756E6374696F6E2865297B742E656C2E76616C7565262630213D3D742E656C2E76616C75652E6C656E6774687C7C742E737461727428297D29297D7D2C7B6B65793A22696E73657274437572736F72222C76616C75653A66756E6374696F6E28297B7468';
wwv_flow_imp.g_varchar2_table(62) := '69732E73686F77437572736F72262628746869732E637572736F727C7C28746869732E637572736F723D646F63756D656E742E637265617465456C656D656E7428227370616E22292C746869732E637572736F722E636C6173734E616D653D2274797065';
wwv_flow_imp.g_varchar2_table(63) := '642D637572736F72222C746869732E637572736F722E7365744174747269627574652822617269612D68696464656E222C2130292C746869732E637572736F722E696E6E657248544D4C3D746869732E637572736F72436861722C746869732E656C2E70';
wwv_flow_imp.g_varchar2_table(64) := '6172656E744E6F64652626746869732E656C2E706172656E744E6F64652E696E736572744265666F726528746869732E637572736F722C746869732E656C2E6E6578745369626C696E672929297D7D5D292C747D28293B655B2264656661756C74225D3D';
wwv_flow_imp.g_varchar2_table(65) := '612C742E6578706F7274733D655B2264656661756C74225D7D2C66756E6374696F6E28742C652C73297B2275736520737472696374223B66756E6374696F6E206E2874297B72657475726E20742626742E5F5F65734D6F64756C653F743A7B2264656661';
wwv_flow_imp.g_varchar2_table(66) := '756C74223A747D7D66756E6374696F6E206928742C65297B69662821287420696E7374616E63656F66206529297468726F77206E657720547970654572726F72282243616E6E6F742063616C6C206120636C61737320617320612066756E6374696F6E22';
wwv_flow_imp.g_varchar2_table(67) := '297D4F626A6563742E646566696E6550726F706572747928652C225F5F65734D6F64756C65222C7B76616C75653A21307D293B76617220723D4F626A6563742E61737369676E7C7C66756E6374696F6E2874297B666F722876617220653D313B653C6172';
wwv_flow_imp.g_varchar2_table(68) := '67756D656E74732E6C656E6774683B652B2B297B76617220733D617267756D656E74735B655D3B666F7228766172206E20696E2073294F626A6563742E70726F746F747970652E6861734F776E50726F70657274792E63616C6C28732C6E29262628745B';
wwv_flow_imp.g_varchar2_table(69) := '6E5D3D735B6E5D297D72657475726E20747D2C6F3D66756E6374696F6E28297B66756E6374696F6E207428742C65297B666F722876617220733D303B733C652E6C656E6774683B732B2B297B766172206E3D655B735D3B6E2E656E756D657261626C653D';
wwv_flow_imp.g_varchar2_table(70) := '6E2E656E756D657261626C657C7C21312C6E2E636F6E666967757261626C653D21302C2276616C756522696E206E2626286E2E7772697461626C653D2130292C4F626A6563742E646566696E6550726F706572747928742C6E2E6B65792C6E297D7D7265';
wwv_flow_imp.g_varchar2_table(71) := '7475726E2066756E6374696F6E28652C732C6E297B72657475726E207326267428652E70726F746F747970652C73292C6E26267428652C6E292C657D7D28292C613D732832292C753D6E2861292C6C3D66756E6374696F6E28297B66756E6374696F6E20';
wwv_flow_imp.g_varchar2_table(72) := '7428297B6928746869732C74297D72657475726E206F28742C5B7B6B65793A226C6F6164222C76616C75653A66756E6374696F6E28742C652C73297B69662822737472696E67223D3D747970656F6620733F742E656C3D646F63756D656E742E71756572';
wwv_flow_imp.g_varchar2_table(73) := '7953656C6563746F722873293A742E656C3D732C742E6F7074696F6E733D72287B7D2C755B2264656661756C74225D2C65292C742E6973496E7075743D22696E707574223D3D3D742E656C2E7461674E616D652E746F4C6F7765724361736528292C742E';
wwv_flow_imp.g_varchar2_table(74) := '617474723D742E6F7074696F6E732E617474722C742E62696E64496E707574466F6375734576656E74733D742E6F7074696F6E732E62696E64496E707574466F6375734576656E74732C742E73686F77437572736F723D21742E6973496E707574262674';
wwv_flow_imp.g_varchar2_table(75) := '2E6F7074696F6E732E73686F77437572736F722C742E637572736F72436861723D742E6F7074696F6E732E637572736F72436861722C742E637572736F72426C696E6B696E673D21302C742E656C436F6E74656E743D742E617474723F742E656C2E6765';
wwv_flow_imp.g_varchar2_table(76) := '7441747472696275746528742E61747472293A742E656C2E74657874436F6E74656E742C742E636F6E74656E74547970653D742E6F7074696F6E732E636F6E74656E74547970652C742E7479706553706565643D742E6F7074696F6E732E747970655370';
wwv_flow_imp.g_varchar2_table(77) := '6565642C742E737461727444656C61793D742E6F7074696F6E732E737461727444656C61792C742E6261636B53706565643D742E6F7074696F6E732E6261636B53706565642C742E736D6172744261636B73706163653D742E6F7074696F6E732E736D61';
wwv_flow_imp.g_varchar2_table(78) := '72744261636B73706163652C742E6261636B44656C61793D742E6F7074696F6E732E6261636B44656C61792C742E666164654F75743D742E6F7074696F6E732E666164654F75742C742E666164654F7574436C6173733D742E6F7074696F6E732E666164';
wwv_flow_imp.g_varchar2_table(79) := '654F7574436C6173732C742E666164654F757444656C61793D742E6F7074696F6E732E666164654F757444656C61792C742E69735061757365643D21312C742E737472696E67733D742E6F7074696F6E732E737472696E67732E6D61702866756E637469';
wwv_flow_imp.g_varchar2_table(80) := '6F6E2874297B72657475726E20742E7472696D28297D292C22737472696E67223D3D747970656F6620742E6F7074696F6E732E737472696E6773456C656D656E743F742E737472696E6773456C656D656E743D646F63756D656E742E717565727953656C';
wwv_flow_imp.g_varchar2_table(81) := '6563746F7228742E6F7074696F6E732E737472696E6773456C656D656E74293A742E737472696E6773456C656D656E743D742E6F7074696F6E732E737472696E6773456C656D656E742C742E737472696E6773456C656D656E74297B742E737472696E67';
wwv_flow_imp.g_varchar2_table(82) := '733D5B5D2C742E737472696E6773456C656D656E742E7374796C652E646973706C6179203D226E6F6E65223B766172206E3D41727261792E70726F746F747970652E736C6963652E6170706C7928742E737472696E6773456C656D656E742E6368696C64';
wwv_flow_imp.g_varchar2_table(83) := '72656E292C693D6E2E6C656E6774683B6966286929666F7228766172206F3D303B6F3C693B6F2B3D31297B76617220613D6E5B6F5D3B742E737472696E67732E7075736828612E696E6E657248544D4C2E7472696D2829297D7D742E737472506F733D30';
wwv_flow_imp.g_varchar2_table(84) := '2C742E6172726179506F733D302C742E73746F704E756D3D302C742E6C6F6F703D742E6F7074696F6E732E6C6F6F702C742E6C6F6F70436F756E743D742E6F7074696F6E732E6C6F6F70436F756E742C742E6375724C6F6F703D302C742E73687566666C';
wwv_flow_imp.g_varchar2_table(85) := '653D742E6F7074696F6E732E73687566666C652C742E73657175656E63653D5B5D2C742E70617573653D7B7374617475733A21312C7479706577726974653A21302C637572537472696E673A22222C637572537472506F733A307D2C742E747970696E67';
wwv_flow_imp.g_varchar2_table(86) := '436F6D706C6574653D21313B666F7228766172206F20696E20742E737472696E677329742E73657175656E63655B6F5D3D6F3B742E63757272656E74456C436F6E74656E743D746869732E67657443757272656E74456C436F6E74656E742874292C742E';
wwv_flow_imp.g_varchar2_table(87) := '6175746F496E736572744373733D742E6F7074696F6E732E6175746F496E736572744373732C746869732E617070656E64416E696D6174696F6E4373732874297D7D2C7B6B65793A2267657443757272656E74456C436F6E74656E74222C76616C75653A';
wwv_flow_imp.g_varchar2_table(88) := '66756E6374696F6E2874297B76617220653D22223B72657475726E20653D742E617474723F742E656C2E67657441747472696275746528742E61747472293A742E6973496E7075743F742E656C2E76616C75653A2268746D6C223D3D3D742E636F6E7465';
wwv_flow_imp.g_varchar2_table(89) := '6E74547970653F742E656C2E696E6E657248544D4C3A742E656C2E74657874436F6E74656E747D7D2C7B6B65793A22617070656E64416E696D6174696F6E437373222C76616C75653A66756E6374696F6E2874297B76617220653D22646174612D747970';
wwv_flow_imp.g_varchar2_table(90) := '65642D6A732D637373223B696628742E6175746F496E73657274437373262628742E73686F77437572736F727C7C742E666164654F757429262621646F63756D656E742E717565727953656C6563746F7228225B222B652B225D2229297B76617220733D';
wwv_flow_imp.g_varchar2_table(91) := '646F63756D656E742E637265617465456C656D656E7428227374796C6522293B732E747970653D22746578742F637373222C732E73657441747472696275746528652C2130293B766172206E3D22223B742E73686F77437572736F722626286E2B3D225C';
wwv_flow_imp.g_varchar2_table(92) := '6E20202020202020202E74797065642D637572736F727B5C6E202020202020202020206F7061636974793A20313B5C6E20202020202020207D5C6E20202020202020202E74797065642D637572736F722E74797065642D637572736F722D2D626C696E6B';
wwv_flow_imp.g_varchar2_table(93) := '7B5C6E20202020202020202020616E696D6174696F6E3A2074797065646A73426C696E6B20302E377320696E66696E6974653B5C6E202020202020202020202D7765626B69742D616E696D6174696F6E3A2074797065646A73426C696E6B20302E377320';
wwv_flow_imp.g_varchar2_table(94) := '696E66696E6974653B5C6E202020202020202020202020202020202020616E696D6174696F6E3A2074797065646A73426C696E6B20302E377320696E66696E6974653B5C6E20202020202020207D5C6E2020202020202020406B65796672616D65732074';
wwv_flow_imp.g_varchar2_table(95) := '797065646A73426C696E6B7B5C6E20202020202020202020353025207B206F7061636974793A20302E303B207D5C6E20202020202020207D5C6E2020202020202020402D7765626B69742D6B65796672616D65732074797065646A73426C696E6B7B5C6E';
wwv_flow_imp.g_varchar2_table(96) := '202020202020202020203025207B206F7061636974793A20313B207D5C6E20202020202020202020353025207B206F7061636974793A20302E303B207D5C6E2020202020202020202031303025207B206F7061636974793A20313B207D5C6E2020202020';
wwv_flow_imp.g_varchar2_table(97) := '2020207D5C6E20202020202022292C742E666164654F75742626286E2B3D225C6E20202020202020202E74797065642D666164652D6F75747B5C6E202020202020202020206F7061636974793A20303B5C6E202020202020202020207472616E73697469';
wwv_flow_imp.g_varchar2_table(98) := '6F6E3A206F706163697479202E3235733B5C6E20202020202020207D5C6E20202020202020202E74797065642D637572736F722E74797065642D637572736F722D2D626C696E6B2E74797065642D666164652D6F75747B5C6E202020202020202020202D';
wwv_flow_imp.g_varchar2_table(99) := '7765626B69742D616E696D6174696F6E3A20303B5C6E20202020202020202020616E696D6174696F6E3A20303B5C6E20202020202020207D5C6E20202020202022292C30213D3D732E6C656E677468262628732E696E6E657248544D4C3D6E2C646F6375';
wwv_flow_imp.g_varchar2_table(100) := '6D656E742E626F64792E617070656E644368696C64287329297D7D7D5D292C747D28293B655B2264656661756C74225D3D6C3B76617220633D6E6577206C3B652E696E697469616C697A65723D637D2C66756E6374696F6E28742C65297B227573652073';
wwv_flow_imp.g_varchar2_table(101) := '7472696374223B4F626A6563742E646566696E6550726F706572747928652C225F5F65734D6F64756C65222C7B76616C75653A21307D293B76617220733D7B737472696E67733A5B22546865736520617265207468652064656661756C742076616C7565';
wwv_flow_imp.g_varchar2_table(102) := '732E2E2E222C22596F75206B6E6F77207768617420796F752073686F756C6420646F3F222C2255736520796F7572206F776E21222C224861766520612067726561742064617921225D2C737472696E6773456C656D656E743A6E756C6C2C747970655370';
wwv_flow_imp.g_varchar2_table(103) := '6565643A302C737461727444656C61793A302C6261636B53706565643A302C736D6172744261636B73706163653A21302C73687566666C653A21312C6261636B44656C61793A3730302C666164654F75743A21312C666164654F7574436C6173733A2274';
wwv_flow_imp.g_varchar2_table(104) := '797065642D666164652D6F7574222C666164654F757444656C61793A3530302C6C6F6F703A21312C6C6F6F70436F756E743A312F302C73686F77437572736F723A21302C637572736F72436861723A227C222C6175746F496E736572744373733A21302C';
wwv_flow_imp.g_varchar2_table(105) := '617474723A6E756C6C2C62696E64496E707574466F6375734576656E74733A21312C636F6E74656E74547970653A2268746D6C222C6F6E426567696E3A66756E6374696F6E2874297B7D2C6F6E436F6D706C6574653A66756E6374696F6E2874297B7D2C';
wwv_flow_imp.g_varchar2_table(106) := '707265537472696E6754797065643A66756E6374696F6E28742C65297B7D2C6F6E537472696E6754797065643A66756E6374696F6E28742C65297B7D2C6F6E4C617374537472696E674261636B7370616365643A66756E6374696F6E2874297B7D2C6F6E';
wwv_flow_imp.g_varchar2_table(107) := '547970696E675061757365643A66756E6374696F6E28742C65297B7D2C6F6E547970696E67526573756D65643A66756E6374696F6E28742C65297B7D2C6F6E52657365743A66756E6374696F6E2874297B7D2C6F6E53746F703A66756E6374696F6E2874';
wwv_flow_imp.g_varchar2_table(108) := '2C65297B7D2C6F6E53746172743A66756E6374696F6E28742C65297B7D2C6F6E44657374726F793A66756E6374696F6E2874297B7D7D3B655B2264656661756C74225D3D732C742E6578706F7274733D655B2264656661756C74225D7D2C66756E637469';
wwv_flow_imp.g_varchar2_table(109) := '6F6E28742C65297B2275736520737472696374223B66756E6374696F6E207328742C65297B69662821287420696E7374616E63656F66206529297468726F77206E657720547970654572726F72282243616E6E6F742063616C6C206120636C6173732061';
wwv_flow_imp.g_varchar2_table(110) := '7320612066756E6374696F6E22297D4F626A6563742E646566696E6550726F706572747928652C225F5F65734D6F64756C65222C7B76616C75653A21307D293B766172206E3D66756E6374696F6E28297B66756E6374696F6E207428742C65297B666F72';
wwv_flow_imp.g_varchar2_table(111) := '2876617220733D303B733C652E6C656E6774683B732B2B297B766172206E3D655B735D3B6E2E656E756D657261626C653D6E2E656E756D657261626C657C7C21312C6E2E636F6E666967757261626C653D21302C2276616C756522696E206E2626286E2E';
wwv_flow_imp.g_varchar2_table(112) := '7772697461626C653D2130292C4F626A6563742E646566696E6550726F706572747928742C6E2E6B65792C6E297D7D72657475726E2066756E6374696F6E28652C732C6E297B72657475726E207326267428652E70726F746F747970652C73292C6E2626';
wwv_flow_imp.g_varchar2_table(113) := '7428652C6E292C657D7D28292C693D66756E6374696F6E28297B66756E6374696F6E207428297B7328746869732C74297D72657475726E206E28742C5B7B6B65793A227479706548746D6C4368617273222C76616C75653A66756E6374696F6E28742C65';
wwv_flow_imp.g_varchar2_table(114) := '2C73297B6966282268746D6C22213D3D732E636F6E74656E74547970652972657475726E20653B766172206E3D742E7375627374722865292E6368617241742830293B696628223C223D3D3D6E7C7C2226223D3D3D6E297B76617220693D22223B666F72';
wwv_flow_imp.g_varchar2_table(115) := '28693D223C223D3D3D6E3F223E223A223B223B742E73756273747228652B31292E636861724174283029213D3D69262628652B2B2C2128652B313E742E6C656E67746829293B293B652B2B7D72657475726E20657D7D2C7B6B65793A226261636B537061';
wwv_flow_imp.g_varchar2_table(116) := '636548746D6C4368617273222C76616C75653A66756E6374696F6E28742C652C73297B6966282268746D6C22213D3D732E636F6E74656E74547970652972657475726E20653B766172206E3D742E7375627374722865292E6368617241742830293B6966';
wwv_flow_imp.g_varchar2_table(117) := '28223E223D3D3D6E7C7C223B223D3D3D6E297B76617220693D22223B666F7228693D223E223D3D3D6E3F223C223A2226223B742E73756273747228652D31292E636861724174283029213D3D69262628652D2D2C2128653C3029293B293B652D2D7D7265';
wwv_flow_imp.g_varchar2_table(118) := '7475726E20657D7D5D292C747D28293B655B2264656661756C74225D3D693B76617220723D6E657720693B652E68746D6C5061727365723D727D5D297D293B0D0A2F2F2320736F757263654D617070696E6755524C3D74797065642E6D696E2E6A732E6D';
wwv_flow_imp.g_varchar2_table(119) := '6170';
null;
end;
/
begin
wwv_flow_imp_shared.create_plugin_file(
 p_id=>wwv_flow_imp.id(5101405338459584)
,p_plugin_id=>wwv_flow_imp.id(5098395429456063)
,p_file_name=>'typed.js'
,p_mime_type=>'text/javascript'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_imp.varchar2_to_blob(wwv_flow_imp.g_varchar2_table)
);
end;
/
begin
wwv_flow_imp.g_varchar2_table := wwv_flow_imp.empty_varchar2_table;
wwv_flow_imp.g_varchar2_table(1) := '2F2A210A202A200A202A20202074797065642E6A73202D2041204A61766153637269707420547970696E6720416E696D6174696F6E204C6962726172790A202A202020417574686F723A204D61747420426F6C6474203C6D65406D617474626F6C64742E';
wwv_flow_imp.g_varchar2_table(2) := '636F6D3E0A202A20202056657273696F6E3A2076322E302E31320A202A20202055726C3A2068747470733A2F2F6769746875622E636F6D2F6D617474626F6C64742F74797065642E6A730A202A2020204C6963656E73652873293A204D49540A202A200A';
wwv_flow_imp.g_varchar2_table(3) := '202A2F0A2166756E6374696F6E28742C65297B226F626A656374223D3D747970656F66206578706F7274732626226F626A656374223D3D747970656F66206D6F64756C653F6D6F64756C652E6578706F7274733D6528293A2266756E6374696F6E223D3D';
wwv_flow_imp.g_varchar2_table(4) := '747970656F6620646566696E652626646566696E652E616D643F646566696E65285B5D2C65293A226F626A656374223D3D747970656F66206578706F7274733F6578706F7274732E54797065643D6528293A742E54797065643D6528297D28746869732C';
wwv_flow_imp.g_varchar2_table(5) := '2866756E6374696F6E28297B72657475726E2066756E6374696F6E2874297B66756E6374696F6E2065286E297B696628735B6E5D2972657475726E20735B6E5D2E6578706F7274733B76617220693D735B6E5D3D7B6578706F7274733A7B7D2C69643A6E';
wwv_flow_imp.g_varchar2_table(6) := '2C6C6F616465643A21317D3B72657475726E20745B6E5D2E63616C6C28692E6578706F7274732C692C692E6578706F7274732C65292C692E6C6F616465643D21302C692E6578706F7274737D76617220733D7B7D3B72657475726E20652E6D3D742C652E';
wwv_flow_imp.g_varchar2_table(7) := '633D732C652E703D22222C652830297D285B66756E6374696F6E28742C652C73297B2275736520737472696374223B4F626A6563742E646566696E6550726F706572747928652C225F5F65734D6F64756C65222C7B76616C75653A21307D293B76617220';
wwv_flow_imp.g_varchar2_table(8) := '6E3D66756E6374696F6E28297B66756E6374696F6E207428742C65297B666F722876617220733D303B733C652E6C656E6774683B732B2B297B766172206E3D655B735D3B6E2E656E756D657261626C653D6E2E656E756D657261626C657C7C21312C6E2E';
wwv_flow_imp.g_varchar2_table(9) := '636F6E666967757261626C653D21302C2276616C756522696E206E2626286E2E7772697461626C653D2130292C4F626A6563742E646566696E6550726F706572747928742C6E2E6B65792C6E297D7D72657475726E2066756E6374696F6E28652C732C6E';
wwv_flow_imp.g_varchar2_table(10) := '297B72657475726E207326267428652E70726F746F747970652C73292C6E26267428652C6E292C657D7D28292C693D732831292C723D732833292C6F3D66756E6374696F6E28297B66756E6374696F6E207428652C73297B2866756E6374696F6E28742C';
wwv_flow_imp.g_varchar2_table(11) := '65297B69662821287420696E7374616E63656F66206529297468726F77206E657720547970654572726F72282243616E6E6F742063616C6C206120636C61737320617320612066756E6374696F6E22297D2928746869732C74292C692E696E697469616C';
wwv_flow_imp.g_varchar2_table(12) := '697A65722E6C6F616428746869732C732C65292C746869732E626567696E28297D72657475726E206E28742C5B7B6B65793A22746F67676C65222C76616C75653A66756E6374696F6E28297B746869732E70617573652E7374617475733F746869732E73';
wwv_flow_imp.g_varchar2_table(13) := '7461727428293A746869732E73746F7028297D7D2C7B6B65793A2273746F70222C76616C75653A66756E6374696F6E28297B746869732E747970696E67436F6D706C6574657C7C746869732E70617573652E7374617475737C7C28746869732E746F6767';
wwv_flow_imp.g_varchar2_table(14) := '6C65426C696E6B696E67282130292C746869732E70617573652E7374617475733D21302C746869732E6F7074696F6E732E6F6E53746F7028746869732E6172726179506F732C7468697329297D7D2C7B6B65793A227374617274222C76616C75653A6675';
wwv_flow_imp.g_varchar2_table(15) := '6E6374696F6E28297B746869732E747970696E67436F6D706C6574657C7C746869732E70617573652E737461747573262628746869732E70617573652E7374617475733D21312C746869732E70617573652E7479706577726974653F746869732E747970';
wwv_flow_imp.g_varchar2_table(16) := '65777269746528746869732E70617573652E637572537472696E672C746869732E70617573652E637572537472506F73293A746869732E6261636B737061636528746869732E70617573652E637572537472696E672C746869732E70617573652E637572';
wwv_flow_imp.g_varchar2_table(17) := '537472506F73292C746869732E6F7074696F6E732E6F6E537461727428746869732E6172726179506F732C7468697329297D7D2C7B6B65793A2264657374726F79222C76616C75653A66756E6374696F6E28297B746869732E7265736574282131292C74';
wwv_flow_imp.g_varchar2_table(18) := '6869732E6F7074696F6E732E6F6E44657374726F792874686973297D7D2C7B6B65793A227265736574222C76616C75653A66756E6374696F6E28297B76617220743D617267756D656E74732E6C656E6774683C3D307C7C766F696420303D3D3D61726775';
wwv_flow_imp.g_varchar2_table(19) := '6D656E74735B305D7C7C617267756D656E74735B305D3B636C656172496E74657276616C28746869732E74696D656F7574292C746869732E7265706C61636554657874282222292C746869732E637572736F722626746869732E637572736F722E706172';
wwv_flow_imp.g_varchar2_table(20) := '656E744E6F6465262628746869732E637572736F722E706172656E744E6F64652E72656D6F76654368696C6428746869732E637572736F72292C746869732E637572736F723D6E756C6C292C746869732E737472506F733D302C746869732E6172726179';
wwv_flow_imp.g_varchar2_table(21) := '506F733D302C746869732E6375724C6F6F703D302C74262628746869732E696E73657274437572736F7228292C746869732E6F7074696F6E732E6F6E52657365742874686973292C746869732E626567696E2829297D7D2C7B6B65793A22626567696E22';
wwv_flow_imp.g_varchar2_table(22) := '2C76616C75653A66756E6374696F6E28297B76617220743D746869733B746869732E6F7074696F6E732E6F6E426567696E2874686973292C746869732E747970696E67436F6D706C6574653D21312C746869732E73687566666C65537472696E67734966';
wwv_flow_imp.g_varchar2_table(23) := '4E65656465642874686973292C746869732E696E73657274437572736F7228292C746869732E62696E64496E707574466F6375734576656E74732626746869732E62696E64466F6375734576656E747328292C746869732E74696D656F75743D73657454';
wwv_flow_imp.g_varchar2_table(24) := '696D656F7574282866756E6374696F6E28297B742E63757272656E74456C436F6E74656E74262630213D3D742E63757272656E74456C436F6E74656E742E6C656E6774683F742E6261636B737061636528742E63757272656E74456C436F6E74656E742C';
wwv_flow_imp.g_varchar2_table(25) := '742E63757272656E74456C436F6E74656E742E6C656E677468293A742E74797065777269746528742E737472696E67735B742E73657175656E63655B742E6172726179506F735D5D2C742E737472506F73297D292C746869732E737461727444656C6179';
wwv_flow_imp.g_varchar2_table(26) := '297D7D2C7B6B65793A22747970657772697465222C76616C75653A66756E6374696F6E28742C65297B76617220733D746869733B746869732E666164654F75742626746869732E656C2E636C6173734C6973742E636F6E7461696E7328746869732E6661';
wwv_flow_imp.g_varchar2_table(27) := '64654F7574436C61737329262628746869732E656C2E636C6173734C6973742E72656D6F766528746869732E666164654F7574436C617373292C746869732E637572736F722626746869732E637572736F722E636C6173734C6973742E72656D6F766528';
wwv_flow_imp.g_varchar2_table(28) := '746869732E666164654F7574436C61737329293B766172206E3D746869732E68756D616E697A657228746869732E747970655370656564292C693D313B72657475726E21303D3D3D746869732E70617573652E7374617475733F766F696420746869732E';
wwv_flow_imp.g_varchar2_table(29) := '736574506175736553746174757328742C652C2130293A766F696428746869732E74696D656F75743D73657454696D656F7574282866756E6374696F6E28297B653D722E68746D6C5061727365722E7479706548746D6C436861727328742C652C73293B';
wwv_flow_imp.g_varchar2_table(30) := '766172206E3D302C6F3D742E7375627374722865293B696628225E223D3D3D6F2E63686172417428302926262F5E5C5E5C642B2F2E74657374286F29297B76617220613D313B612B3D286F3D2F5C642B2F2E65786563286F295B305D292E6C656E677468';
wwv_flow_imp.g_varchar2_table(31) := '2C6E3D7061727365496E74286F292C732E74656D706F7261727950617573653D21302C732E6F7074696F6E732E6F6E547970696E6750617573656428732E6172726179506F732C73292C743D742E737562737472696E6728302C65292B742E7375627374';
wwv_flow_imp.g_varchar2_table(32) := '72696E6728652B61292C732E746F67676C65426C696E6B696E67282130297D6966282260223D3D3D6F2E636861724174283029297B666F72283B226022213D3D742E73756273747228652B69292E636861724174283029262628692B2B2C2128652B693E';
wwv_flow_imp.g_varchar2_table(33) := '742E6C656E67746829293B293B76617220753D742E737562737472696E6728302C65292C6C3D742E737562737472696E6728752E6C656E6774682B312C652B69292C633D742E737562737472696E6728652B692B31293B743D752B6C2B632C692D2D7D73';
wwv_flow_imp.g_varchar2_table(34) := '2E74696D656F75743D73657454696D656F7574282866756E6374696F6E28297B732E746F67676C65426C696E6B696E67282131292C653E3D742E6C656E6774683F732E646F6E65547970696E6728742C65293A732E6B656570547970696E6728742C652C';
wwv_flow_imp.g_varchar2_table(35) := '69292C732E74656D706F726172795061757365262628732E74656D706F7261727950617573653D21312C732E6F7074696F6E732E6F6E547970696E67526573756D656428732E6172726179506F732C7329297D292C6E297D292C6E29297D7D2C7B6B6579';
wwv_flow_imp.g_varchar2_table(36) := '3A226B656570547970696E67222C76616C75653A66756E6374696F6E28742C652C73297B303D3D3D65262628746869732E746F67676C65426C696E6B696E67282131292C746869732E6F7074696F6E732E707265537472696E6754797065642874686973';
wwv_flow_imp.g_varchar2_table(37) := '2E6172726179506F732C7468697329292C652B3D733B766172206E3D742E73756273747228302C65293B746869732E7265706C61636554657874286E292C746869732E74797065777269746528742C65297D7D2C7B6B65793A22646F6E65547970696E67';
wwv_flow_imp.g_varchar2_table(38) := '222C76616C75653A66756E6374696F6E28742C65297B76617220733D746869733B746869732E6F7074696F6E732E6F6E537472696E67547970656428746869732E6172726179506F732C74686973292C746869732E746F67676C65426C696E6B696E6728';
wwv_flow_imp.g_varchar2_table(39) := '2130292C746869732E6172726179506F733D3D3D746869732E737472696E67732E6C656E6774682D31262628746869732E636F6D706C65746528292C21313D3D3D746869732E6C6F6F707C7C746869732E6375724C6F6F703D3D3D746869732E6C6F6F70';
wwv_flow_imp.g_varchar2_table(40) := '436F756E74297C7C28746869732E74696D656F75743D73657454696D656F7574282866756E6374696F6E28297B732E6261636B737061636528742C65297D292C746869732E6261636B44656C617929297D7D2C7B6B65793A226261636B7370616365222C';
wwv_flow_imp.g_varchar2_table(41) := '76616C75653A66756E6374696F6E28742C65297B76617220733D746869733B6966282130213D3D746869732E70617573652E737461747573297B696628746869732E666164654F75742972657475726E20746869732E696E6974466164654F757428293B';
wwv_flow_imp.g_varchar2_table(42) := '746869732E746F67676C65426C696E6B696E67282131293B766172206E3D746869732E68756D616E697A657228746869732E6261636B5370656564293B746869732E74696D656F75743D73657454696D656F7574282866756E6374696F6E28297B653D72';
wwv_flow_imp.g_varchar2_table(43) := '2E68746D6C5061727365722E6261636B537061636548746D6C436861727328742C652C73293B766172206E3D742E73756273747228302C65293B696628732E7265706C61636554657874286E292C732E736D6172744261636B7370616365297B76617220';
wwv_flow_imp.g_varchar2_table(44) := '693D732E737472696E67735B732E6172726179506F732B315D3B6926266E3D3D3D692E73756273747228302C65293F732E73746F704E756D3D653A732E73746F704E756D3D307D653E732E73746F704E756D3F28652D2D2C732E6261636B737061636528';
wwv_flow_imp.g_varchar2_table(45) := '742C6529293A653C3D732E73746F704E756D262628732E6172726179506F732B2B2C732E6172726179506F733D3D3D732E737472696E67732E6C656E6774683F28732E6172726179506F733D302C732E6F7074696F6E732E6F6E4C617374537472696E67';
wwv_flow_imp.g_varchar2_table(46) := '4261636B73706163656428292C732E73687566666C65537472696E677349664E656564656428292C732E626567696E2829293A732E74797065777269746528732E737472696E67735B732E73657175656E63655B732E6172726179506F735D5D2C652929';
wwv_flow_imp.g_varchar2_table(47) := '7D292C6E297D656C736520746869732E736574506175736553746174757328742C652C2131297D7D2C7B6B65793A22636F6D706C657465222C76616C75653A66756E6374696F6E28297B746869732E6F7074696F6E732E6F6E436F6D706C657465287468';
wwv_flow_imp.g_varchar2_table(48) := '6973292C746869732E6C6F6F703F746869732E6375724C6F6F702B2B3A746869732E747970696E67436F6D706C6574653D21307D7D2C7B6B65793A227365745061757365537461747573222C76616C75653A66756E6374696F6E28742C652C73297B7468';
wwv_flow_imp.g_varchar2_table(49) := '69732E70617573652E7479706577726974653D732C746869732E70617573652E637572537472696E673D742C746869732E70617573652E637572537472506F733D657D7D2C7B6B65793A22746F67676C65426C696E6B696E67222C76616C75653A66756E';
wwv_flow_imp.g_varchar2_table(50) := '6374696F6E2874297B746869732E637572736F72262628746869732E70617573652E7374617475737C7C746869732E637572736F72426C696E6B696E67213D3D74262628746869732E637572736F72426C696E6B696E673D742C743F746869732E637572';
wwv_flow_imp.g_varchar2_table(51) := '736F722E636C6173734C6973742E616464282274797065642D637572736F722D2D626C696E6B22293A746869732E637572736F722E636C6173734C6973742E72656D6F7665282274797065642D637572736F722D2D626C696E6B222929297D7D2C7B6B65';
wwv_flow_imp.g_varchar2_table(52) := '793A2268756D616E697A6572222C76616C75653A66756E6374696F6E2874297B72657475726E204D6174682E726F756E64284D6174682E72616E646F6D28292A742F32292B747D7D2C7B6B65793A2273687566666C65537472696E677349664E65656465';
wwv_flow_imp.g_varchar2_table(53) := '64222C76616C75653A66756E6374696F6E28297B746869732E73687566666C65262628746869732E73657175656E63653D746869732E73657175656E63652E736F7274282866756E6374696F6E28297B72657475726E204D6174682E72616E646F6D2829';
wwv_flow_imp.g_varchar2_table(54) := '2D2E357D2929297D7D2C7B6B65793A22696E6974466164654F7574222C76616C75653A66756E6374696F6E28297B76617220743D746869733B72657475726E20746869732E656C2E636C6173734E616D652B3D2220222B746869732E666164654F757443';
wwv_flow_imp.g_varchar2_table(55) := '6C6173732C746869732E637572736F72262628746869732E637572736F722E636C6173734E616D652B3D2220222B746869732E666164654F7574436C617373292C73657454696D656F7574282866756E6374696F6E28297B742E6172726179506F732B2B';
wwv_flow_imp.g_varchar2_table(56) := '2C742E7265706C61636554657874282222292C742E737472696E67732E6C656E6774683E742E6172726179506F733F742E74797065777269746528742E737472696E67735B742E73657175656E63655B742E6172726179506F735D5D2C30293A28742E74';
wwv_flow_imp.g_varchar2_table(57) := '797065777269746528742E737472696E67735B305D2C30292C742E6172726179506F733D30297D292C746869732E666164654F757444656C6179297D7D2C7B6B65793A227265706C61636554657874222C76616C75653A66756E6374696F6E2874297B74';
wwv_flow_imp.g_varchar2_table(58) := '6869732E617474723F746869732E656C2E73657441747472696275746528746869732E617474722C74293A746869732E6973496E7075743F746869732E656C2E76616C75653D743A2268746D6C223D3D3D746869732E636F6E74656E74547970653F7468';
wwv_flow_imp.g_varchar2_table(59) := '69732E656C2E696E6E657248544D4C3D743A746869732E656C2E74657874436F6E74656E743D747D7D2C7B6B65793A2262696E64466F6375734576656E7473222C76616C75653A66756E6374696F6E28297B76617220743D746869733B746869732E6973';
wwv_flow_imp.g_varchar2_table(60) := '496E707574262628746869732E656C2E6164644576656E744C697374656E65722822666F637573222C2866756E6374696F6E2865297B742E73746F7028297D29292C746869732E656C2E6164644576656E744C697374656E65722822626C7572222C2866';
wwv_flow_imp.g_varchar2_table(61) := '756E6374696F6E2865297B742E656C2E76616C7565262630213D3D742E656C2E76616C75652E6C656E6774687C7C742E737461727428297D2929297D7D2C7B6B65793A22696E73657274437572736F72222C76616C75653A66756E6374696F6E28297B74';
wwv_flow_imp.g_varchar2_table(62) := '6869732E73686F77437572736F72262628746869732E637572736F727C7C28746869732E637572736F723D646F63756D656E742E637265617465456C656D656E7428227370616E22292C746869732E637572736F722E636C6173734E616D653D22747970';
wwv_flow_imp.g_varchar2_table(63) := '65642D637572736F72222C746869732E637572736F722E7365744174747269627574652822617269612D68696464656E222C2130292C746869732E637572736F722E696E6E657248544D4C3D746869732E637572736F72436861722C746869732E656C2E';
wwv_flow_imp.g_varchar2_table(64) := '706172656E744E6F64652626746869732E656C2E706172656E744E6F64652E696E736572744265666F726528746869732E637572736F722C746869732E656C2E6E6578745369626C696E672929297D7D5D292C747D28293B652E64656661756C743D6F2C';
wwv_flow_imp.g_varchar2_table(65) := '742E6578706F7274733D652E64656661756C747D2C66756E6374696F6E28742C652C73297B2275736520737472696374223B4F626A6563742E646566696E6550726F706572747928652C225F5F65734D6F64756C65222C7B76616C75653A21307D293B76';
wwv_flow_imp.g_varchar2_table(66) := '6172206E3D4F626A6563742E61737369676E7C7C66756E6374696F6E2874297B666F722876617220653D313B653C617267756D656E74732E6C656E6774683B652B2B297B76617220733D617267756D656E74735B655D3B666F7228766172206E20696E20';
wwv_flow_imp.g_varchar2_table(67) := '73294F626A6563742E70726F746F747970652E6861734F776E50726F70657274792E63616C6C28732C6E29262628745B6E5D3D735B6E5D297D72657475726E20747D2C693D66756E6374696F6E28297B66756E6374696F6E207428742C65297B666F7228';
wwv_flow_imp.g_varchar2_table(68) := '76617220733D303B733C652E6C656E6774683B732B2B297B766172206E3D655B735D3B6E2E656E756D657261626C653D6E2E656E756D657261626C657C7C21312C6E2E636F6E666967757261626C653D21302C2276616C756522696E206E2626286E2E77';
wwv_flow_imp.g_varchar2_table(69) := '72697461626C653D2130292C4F626A6563742E646566696E6550726F706572747928742C6E2E6B65792C6E297D7D72657475726E2066756E6374696F6E28652C732C6E297B72657475726E207326267428652E70726F746F747970652C73292C6E262674';
wwv_flow_imp.g_varchar2_table(70) := '28652C6E292C657D7D28292C723D66756E6374696F6E2874297B72657475726E20742626742E5F5F65734D6F64756C653F743A7B64656661756C743A747D7D2873283229292C6F3D66756E6374696F6E28297B66756E6374696F6E207428297B2166756E';
wwv_flow_imp.g_varchar2_table(71) := '6374696F6E28742C65297B69662821287420696E7374616E63656F66206529297468726F77206E657720547970654572726F72282243616E6E6F742063616C6C206120636C61737320617320612066756E6374696F6E22297D28746869732C74297D7265';
wwv_flow_imp.g_varchar2_table(72) := '7475726E206928742C5B7B6B65793A226C6F6164222C76616C75653A66756E6374696F6E28742C652C73297B696628742E656C3D22737472696E67223D3D747970656F6620733F646F63756D656E742E717565727953656C6563746F722873293A732C74';
wwv_flow_imp.g_varchar2_table(73) := '2E6F7074696F6E733D6E287B7D2C722E64656661756C742C65292C742E6973496E7075743D22696E707574223D3D3D742E656C2E7461674E616D652E746F4C6F7765724361736528292C742E617474723D742E6F7074696F6E732E617474722C742E6269';
wwv_flow_imp.g_varchar2_table(74) := '6E64496E707574466F6375734576656E74733D742E6F7074696F6E732E62696E64496E707574466F6375734576656E74732C742E73686F77437572736F723D21742E6973496E7075742626742E6F7074696F6E732E73686F77437572736F722C742E6375';
wwv_flow_imp.g_varchar2_table(75) := '72736F72436861723D742E6F7074696F6E732E637572736F72436861722C742E637572736F72426C696E6B696E673D21302C742E656C436F6E74656E743D742E617474723F742E656C2E67657441747472696275746528742E61747472293A742E656C2E';
wwv_flow_imp.g_varchar2_table(76) := '74657874436F6E74656E742C742E636F6E74656E74547970653D742E6F7074696F6E732E636F6E74656E74547970652C742E7479706553706565643D742E6F7074696F6E732E7479706553706565642C742E737461727444656C61793D742E6F7074696F';
wwv_flow_imp.g_varchar2_table(77) := '6E732E737461727444656C61792C742E6261636B53706565643D742E6F7074696F6E732E6261636B53706565642C742E736D6172744261636B73706163653D742E6F7074696F6E732E736D6172744261636B73706163652C742E6261636B44656C61793D';
wwv_flow_imp.g_varchar2_table(78) := '742E6F7074696F6E732E6261636B44656C61792C742E666164654F75743D742E6F7074696F6E732E666164654F75742C742E666164654F7574436C6173733D742E6F7074696F6E732E666164654F7574436C6173732C742E666164654F757444656C6179';
wwv_flow_imp.g_varchar2_table(79) := '3D742E6F7074696F6E732E666164654F757444656C61792C742E69735061757365643D21312C742E737472696E67733D742E6F7074696F6E732E737472696E67732E6D6170282866756E6374696F6E2874297B72657475726E20742E7472696D28297D29';
wwv_flow_imp.g_varchar2_table(80) := '292C22737472696E67223D3D747970656F6620742E6F7074696F6E732E737472696E6773456C656D656E743F742E737472696E6773456C656D656E743D646F63756D656E742E717565727953656C6563746F7228742E6F7074696F6E732E737472696E67';
wwv_flow_imp.g_varchar2_table(81) := '73456C656D656E74293A742E737472696E6773456C656D656E743D742E6F7074696F6E732E737472696E6773456C656D656E742C742E737472696E6773456C656D656E74297B742E737472696E67733D5B5D2C742E737472696E6773456C656D656E742E';
wwv_flow_imp.g_varchar2_table(82) := '7374796C652E646973706C61793D226E6F6E65223B76617220693D41727261792E70726F746F747970652E736C6963652E6170706C7928742E737472696E6773456C656D656E742E6368696C6472656E292C6F3D692E6C656E6774683B6966286F29666F';
wwv_flow_imp.g_varchar2_table(83) := '722876617220613D303B613C6F3B612B3D31297B76617220753D695B615D3B742E737472696E67732E7075736828752E696E6E657248544D4C2E7472696D2829297D7D666F7228766172206120696E20742E737472506F733D302C742E6172726179506F';
wwv_flow_imp.g_varchar2_table(84) := '733D302C742E73746F704E756D3D302C742E6C6F6F703D742E6F7074696F6E732E6C6F6F702C742E6C6F6F70436F756E743D742E6F7074696F6E732E6C6F6F70436F756E742C742E6375724C6F6F703D302C742E73687566666C653D742E6F7074696F6E';
wwv_flow_imp.g_varchar2_table(85) := '732E73687566666C652C742E73657175656E63653D5B5D2C742E70617573653D7B7374617475733A21312C7479706577726974653A21302C637572537472696E673A22222C637572537472506F733A307D2C742E747970696E67436F6D706C6574653D21';
wwv_flow_imp.g_varchar2_table(86) := '312C742E737472696E677329742E73657175656E63655B615D3D613B742E63757272656E74456C436F6E74656E743D746869732E67657443757272656E74456C436F6E74656E742874292C742E6175746F496E736572744373733D742E6F7074696F6E73';
wwv_flow_imp.g_varchar2_table(87) := '2E6175746F496E736572744373732C746869732E617070656E64416E696D6174696F6E4373732874297D7D2C7B6B65793A2267657443757272656E74456C436F6E74656E74222C76616C75653A66756E6374696F6E2874297B72657475726E20742E6174';
wwv_flow_imp.g_varchar2_table(88) := '74723F742E656C2E67657441747472696275746528742E61747472293A742E6973496E7075743F742E656C2E76616C75653A2268746D6C223D3D3D742E636F6E74656E74547970653F742E656C2E696E6E657248544D4C3A742E656C2E74657874436F6E';
wwv_flow_imp.g_varchar2_table(89) := '74656E747D7D2C7B6B65793A22617070656E64416E696D6174696F6E437373222C76616C75653A66756E6374696F6E2874297B76617220653D22646174612D74797065642D6A732D637373223B696628742E6175746F496E73657274437373262628742E';
wwv_flow_imp.g_varchar2_table(90) := '73686F77437572736F727C7C742E666164654F757429262621646F63756D656E742E717565727953656C6563746F7228225B222B652B225D2229297B76617220733D646F63756D656E742E637265617465456C656D656E7428227374796C6522293B732E';
wwv_flow_imp.g_varchar2_table(91) := '747970653D22746578742F637373222C732E73657441747472696275746528652C2130293B766172206E3D22223B742E73686F77437572736F722626286E2B3D225C6E20202020202020202E74797065642D637572736F727B5C6E202020202020202020';
wwv_flow_imp.g_varchar2_table(92) := '206F7061636974793A20313B5C6E20202020202020207D5C6E20202020202020202E74797065642D637572736F722E74797065642D637572736F722D2D626C696E6B7B5C6E20202020202020202020616E696D6174696F6E3A2074797065646A73426C69';
wwv_flow_imp.g_varchar2_table(93) := '6E6B20302E377320696E66696E6974653B5C6E202020202020202020202D7765626B69742D616E696D6174696F6E3A2074797065646A73426C696E6B20302E377320696E66696E6974653B5C6E202020202020202020202020202020202020616E696D61';
wwv_flow_imp.g_varchar2_table(94) := '74696F6E3A2074797065646A73426C696E6B20302E377320696E66696E6974653B5C6E20202020202020207D5C6E2020202020202020406B65796672616D65732074797065646A73426C696E6B7B5C6E20202020202020202020353025207B206F706163';
wwv_flow_imp.g_varchar2_table(95) := '6974793A20302E303B207D5C6E20202020202020207D5C6E2020202020202020402D7765626B69742D6B65796672616D65732074797065646A73426C696E6B7B5C6E202020202020202020203025207B206F7061636974793A20313B207D5C6E20202020';
wwv_flow_imp.g_varchar2_table(96) := '202020202020353025207B206F7061636974793A20302E303B207D5C6E2020202020202020202031303025207B206F7061636974793A20313B207D5C6E20202020202020207D5C6E20202020202022292C742E666164654F75742626286E2B3D225C6E20';
wwv_flow_imp.g_varchar2_table(97) := '202020202020202E74797065642D666164652D6F75747B5C6E202020202020202020206F7061636974793A20303B5C6E202020202020202020207472616E736974696F6E3A206F706163697479202E3235733B5C6E20202020202020207D5C6E20202020';
wwv_flow_imp.g_varchar2_table(98) := '202020202E74797065642D637572736F722E74797065642D637572736F722D2D626C696E6B2E74797065642D666164652D6F75747B5C6E202020202020202020202D7765626B69742D616E696D6174696F6E3A20303B5C6E20202020202020202020616E';
wwv_flow_imp.g_varchar2_table(99) := '696D6174696F6E3A20303B5C6E20202020202020207D5C6E20202020202022292C30213D3D732E6C656E677468262628732E696E6E657248544D4C3D6E2C646F63756D656E742E626F64792E617070656E644368696C64287329297D7D7D5D292C747D28';
wwv_flow_imp.g_varchar2_table(100) := '293B652E64656661756C743D6F3B76617220613D6E6577206F3B652E696E697469616C697A65723D617D2C66756E6374696F6E28742C65297B2275736520737472696374223B4F626A6563742E646566696E6550726F706572747928652C225F5F65734D';
wwv_flow_imp.g_varchar2_table(101) := '6F64756C65222C7B76616C75653A21307D293B652E64656661756C743D7B737472696E67733A5B22546865736520617265207468652064656661756C742076616C7565732E2E2E222C22596F75206B6E6F77207768617420796F752073686F756C642064';
wwv_flow_imp.g_varchar2_table(102) := '6F3F222C2255736520796F7572206F776E21222C224861766520612067726561742064617921225D2C737472696E6773456C656D656E743A6E756C6C2C7479706553706565643A302C737461727444656C61793A302C6261636B53706565643A302C736D';
wwv_flow_imp.g_varchar2_table(103) := '6172744261636B73706163653A21302C73687566666C653A21312C6261636B44656C61793A3730302C666164654F75743A21312C666164654F7574436C6173733A2274797065642D666164652D6F7574222C666164654F757444656C61793A3530302C6C';
wwv_flow_imp.g_varchar2_table(104) := '6F6F703A21312C6C6F6F70436F756E743A312F302C73686F77437572736F723A21302C637572736F72436861723A227C222C6175746F496E736572744373733A21302C617474723A6E756C6C2C62696E64496E707574466F6375734576656E74733A2131';
wwv_flow_imp.g_varchar2_table(105) := '2C636F6E74656E74547970653A2268746D6C222C6F6E426567696E3A66756E6374696F6E2874297B7D2C6F6E436F6D706C6574653A66756E6374696F6E2874297B7D2C707265537472696E6754797065643A66756E6374696F6E28742C65297B7D2C6F6E';
wwv_flow_imp.g_varchar2_table(106) := '537472696E6754797065643A66756E6374696F6E28742C65297B7D2C6F6E4C617374537472696E674261636B7370616365643A66756E6374696F6E2874297B7D2C6F6E547970696E675061757365643A66756E6374696F6E28742C65297B7D2C6F6E5479';
wwv_flow_imp.g_varchar2_table(107) := '70696E67526573756D65643A66756E6374696F6E28742C65297B7D2C6F6E52657365743A66756E6374696F6E2874297B7D2C6F6E53746F703A66756E6374696F6E28742C65297B7D2C6F6E53746172743A66756E6374696F6E28742C65297B7D2C6F6E44';
wwv_flow_imp.g_varchar2_table(108) := '657374726F793A66756E6374696F6E2874297B7D7D2C742E6578706F7274733D652E64656661756C747D2C66756E6374696F6E28742C65297B2275736520737472696374223B4F626A6563742E646566696E6550726F706572747928652C225F5F65734D';
wwv_flow_imp.g_varchar2_table(109) := '6F64756C65222C7B76616C75653A21307D293B76617220733D66756E6374696F6E28297B66756E6374696F6E207428742C65297B666F722876617220733D303B733C652E6C656E6774683B732B2B297B766172206E3D655B735D3B6E2E656E756D657261';
wwv_flow_imp.g_varchar2_table(110) := '626C653D6E2E656E756D657261626C657C7C21312C6E2E636F6E666967757261626C653D21302C2276616C756522696E206E2626286E2E7772697461626C653D2130292C4F626A6563742E646566696E6550726F706572747928742C6E2E6B65792C6E29';
wwv_flow_imp.g_varchar2_table(111) := '7D7D72657475726E2066756E6374696F6E28652C732C6E297B72657475726E207326267428652E70726F746F747970652C73292C6E26267428652C6E292C657D7D28292C6E3D66756E6374696F6E28297B66756E6374696F6E207428297B2166756E6374';
wwv_flow_imp.g_varchar2_table(112) := '696F6E28742C65297B69662821287420696E7374616E63656F66206529297468726F77206E657720547970654572726F72282243616E6E6F742063616C6C206120636C61737320617320612066756E6374696F6E22297D28746869732C74297D72657475';
wwv_flow_imp.g_varchar2_table(113) := '726E207328742C5B7B6B65793A227479706548746D6C4368617273222C76616C75653A66756E6374696F6E28742C652C73297B6966282268746D6C22213D3D732E636F6E74656E74547970652972657475726E20653B766172206E3D742E737562737472';
wwv_flow_imp.g_varchar2_table(114) := '2865292E6368617241742830293B696628223C223D3D3D6E7C7C2226223D3D3D6E297B76617220693B666F7228693D223C223D3D3D6E3F223E223A223B223B742E73756273747228652B31292E636861724174283029213D3D69262621282B2B652B313E';
wwv_flow_imp.g_varchar2_table(115) := '742E6C656E677468293B293B652B2B7D72657475726E20657D7D2C7B6B65793A226261636B537061636548746D6C4368617273222C76616C75653A66756E6374696F6E28742C652C73297B6966282268746D6C22213D3D732E636F6E74656E7454797065';
wwv_flow_imp.g_varchar2_table(116) := '2972657475726E20653B766172206E3D742E7375627374722865292E6368617241742830293B696628223E223D3D3D6E7C7C223B223D3D3D6E297B76617220693B666F7228693D223E223D3D3D6E3F223C223A2226223B742E73756273747228652D3129';
wwv_flow_imp.g_varchar2_table(117) := '2E636861724174283029213D3D69262621282D2D653C30293B293B652D2D7D72657475726E20657D7D5D292C747D28293B652E64656661756C743D6E3B76617220693D6E6577206E3B652E68746D6C5061727365723D697D5D297D29293B';
null;
end;
/
begin
wwv_flow_imp_shared.create_plugin_file(
 p_id=>wwv_flow_imp.id(5102901904460236)
,p_plugin_id=>wwv_flow_imp.id(5098395429456063)
,p_file_name=>'typed.min.js'
,p_mime_type=>'text/javascript'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_imp.varchar2_to_blob(wwv_flow_imp.g_varchar2_table)
);
end;
/
begin
wwv_flow_imp.g_varchar2_table := wwv_flow_imp.empty_varchar2_table;
wwv_flow_imp.g_varchar2_table(1) := '2F2A2A0D0A2A2054656D706C617465204E616D653A2052756E6E696E672054657874202D2076312E312E300D0A2A20417574686F723A204D5548414D4D4144204F574149530D0A2A2F0D0A2F2A204D61696E2053656374696F6E205374796C696E67202A';
wwv_flow_imp.g_varchar2_table(2) := '2F0D0A2E6D61696E2D7365632D7479706564207B0D0A202020202F2F6261636B67726F756E642D636F6C6F723A20236639663966393B202F2A204C69676874206261636B67726F756E64202A2F0D0A2020202070616464696E673A203430707820307078';
wwv_flow_imp.g_varchar2_table(3) := '3B0D0A20202020746578742D616C69676E3A2063656E7465723B0D0A7D0D0A0D0A2E74635F726F77207B0D0A20202020646973706C61793A20696E6C696E652D626C6F636B3B0D0A2020202070616464696E673A203570783B0D0A7D0D0A0D0A2F2A204D';
wwv_flow_imp.g_varchar2_table(4) := '61696E2044697620436F6E7461696E6572202A2F0D0A2E6D61696E2D6469762D7479706564207B0D0A202020206D61782D77696474683A2038303070783B202F2A2041646A757374206173206E6565646564202A2F0D0A202020206D617267696E3A2061';
wwv_flow_imp.g_varchar2_table(5) := '75746F3B0D0A2020202070616464696E673A20323070783B0D0A202020206261636B67726F756E642D636F6C6F723A20236666666666663B202F2A205768697465206261636B67726F756E64202A2F0D0A20202020626F782D736861646F773A20302034';
wwv_flow_imp.g_varchar2_table(6) := '707820387078207267626128302C20302C20302C20302E31293B202F2A20537562746C6520736861646F7720666F72206465707468202A2F0D0A20202020626F726465722D7261646975733A20333570783B202F2A20526F756E64656420636F726E6572';
wwv_flow_imp.g_varchar2_table(7) := '73202A2F0D0A7D0D0A0D0A2F2A20486561646572205374796C696E67202A2F0D0A2E6D61696E2D6469762D7479706564206831207B0D0A20202020636F6C6F723A20233333333333333B202F2A204461726B207465787420666F7220636F6E7472617374';
wwv_flow_imp.g_varchar2_table(8) := '202A2F0D0A20202020666F6E742D73697A653A20322E35656D3B202F2A204C6172676520666F6E742073697A65202A2F0D0A202020206D617267696E2D626F74746F6D3A20323070783B0D0A20202020666F6E742D7765696768743A20626F6C643B0D0A';
wwv_flow_imp.g_varchar2_table(9) := '7D0D0A0D0A2F2A20506172616772617068205374796C696E67202A2F0D0A2E6D61696E2D6469762D74797065642070207B0D0A20202020636F6C6F723A20233535353535353B202F2A20536C696768746C79206C696768746572207465787420636F6C6F';
wwv_flow_imp.g_varchar2_table(10) := '72202A2F0D0A20202020666F6E742D73697A653A20312E32656D3B0D0A202020206C696E652D6865696768743A20312E353B202F2A2053706163696E6720666F7220726561646162696C697479202A2F0D0A202020206D617267696E2D626F74746F6D3A';
wwv_flow_imp.g_varchar2_table(11) := '20323070783B0D0A7D0D0A0D0A2E7479706564207B0D0A20202020666F6E742D66616D696C793A2022506F7070696E73222C2073616E732D73657269663B0D0A20202020636F6C6F723A20233265616665633B0D0A20202020666F6E742D776569676874';
wwv_flow_imp.g_varchar2_table(12) := '3A20626F6C643B0D0A7D0D0A0D0A2F2A20526573706F6E736976652044657369676E202A2F0D0A406D6564696120286D61782D77696474683A20373638707829207B0D0A202020202E6D61696E2D6469762D7479706564207B0D0A202020202020202070';
wwv_flow_imp.g_varchar2_table(13) := '616464696E673A20313570783B0D0A20202020202020206D617267696E3A20313070783B0D0A202020207D0D0A0D0A202020202E6D61696E2D6469762D7479706564206831207B0D0A2020202020202020666F6E742D73697A653A2032656D3B0D0A2020';
wwv_flow_imp.g_varchar2_table(14) := '20207D0D0A7D';
null;
end;
/
begin
wwv_flow_imp_shared.create_plugin_file(
 p_id=>wwv_flow_imp.id(5103323988463157)
,p_plugin_id=>wwv_flow_imp.id(5098395429456063)
,p_file_name=>'style.css'
,p_mime_type=>'text/css'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_imp.varchar2_to_blob(wwv_flow_imp.g_varchar2_table)
);
end;
/
begin
wwv_flow_imp.g_varchar2_table := wwv_flow_imp.empty_varchar2_table;
wwv_flow_imp.g_varchar2_table(1) := '2E6D61696E2D7365632D74797065647B2F2F6261636B67726F756E642D636F6C6F723A236639663966393B70616464696E673A3430707820303B746578742D616C69676E3A63656E7465727D2E74635F726F777B646973706C61793A696E6C696E652D62';
wwv_flow_imp.g_varchar2_table(2) := '6C6F636B3B70616464696E673A3570787D2E6D61696E2D6469762D74797065647B6D61782D77696474683A38303070783B6D617267696E3A6175746F3B70616464696E673A323070783B6261636B67726F756E642D636F6C6F723A236666663B626F782D';
wwv_flow_imp.g_varchar2_table(3) := '736861646F773A302034707820387078207267626128302C302C302C2E31293B626F726465722D7261646975733A333570787D2E6D61696E2D6469762D74797065642068317B636F6C6F723A233333333B666F6E742D73697A653A322E35656D3B6D6172';
wwv_flow_imp.g_varchar2_table(4) := '67696E2D626F74746F6D3A323070783B666F6E742D7765696768743A3730307D2E6D61696E2D6469762D747970656420707B636F6C6F723A233535353B666F6E742D73697A653A312E32656D3B6C696E652D6865696768743A312E353B6D617267696E2D';
wwv_flow_imp.g_varchar2_table(5) := '626F74746F6D3A323070787D2E74797065647B666F6E742D66616D696C793A22506F7070696E73222C73616E732D73657269663B636F6C6F723A233265616665633B666F6E742D7765696768743A3730307D406D6564696120286D61782D77696474683A';
wwv_flow_imp.g_varchar2_table(6) := '3736387078297B2E6D61696E2D6469762D74797065647B70616464696E673A313570783B6D617267696E3A313070787D2E6D61696E2D6469762D74797065642068317B666F6E742D73697A653A32656D7D7D';
null;
end;
/
begin
wwv_flow_imp_shared.create_plugin_file(
 p_id=>wwv_flow_imp.id(5104878332463636)
,p_plugin_id=>wwv_flow_imp.id(5098395429456063)
,p_file_name=>'style.min.css'
,p_mime_type=>'text/css'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_imp.varchar2_to_blob(wwv_flow_imp.g_varchar2_table)
);
end;
/
begin
wwv_flow_imp.g_varchar2_table := wwv_flow_imp.empty_varchar2_table;
wwv_flow_imp.g_varchar2_table(1) := '242877696E646F77292E6F6E28276C6F6164272C2066756E6374696F6E28297B0D0A20202275736520737472696374223B0D0A2F2A2046756E6374696F6E20546F2047657420446F63756D656E742051756572792053656C6563746F72202A2F0D0A636F';
wwv_flow_imp.g_varchar2_table(2) := '6E73742073656C656374203D2028656C2C20616C6C203D2066616C736529203D3E207B0D0A20202020656C203D20656C2E7472696D28290D0A2020202069662028616C6C29207B0D0A20202020202072657475726E205B2E2E2E646F63756D656E742E71';
wwv_flow_imp.g_varchar2_table(3) := '7565727953656C6563746F72416C6C28656C295D0D0A202020207D20656C7365207B0D0A20202020202072657475726E20646F63756D656E742E717565727953656C6563746F7228656C290D0A202020207D0D0A20207D0D0A2F2A20546F20456E61626C';
wwv_flow_imp.g_varchar2_table(4) := '6520547970696E6720456666656374204F662054686520547970656420576F726473202A2F0D0A636F6E7374207479706564203D2073656C65637428272E7479706564272C74727565290D0A74797065642E666F724561636828287479706564456C656D';
wwv_flow_imp.g_varchar2_table(5) := '2C20696E64657829203D3E207B0D0A202020206C65742074797065645F737472696E6773203D2074797065645B696E6465785D2E6765744174747269627574652827646174612D74797065642D6974656D7327290D0A202020206C65742074797065645F';
wwv_flow_imp.g_varchar2_table(6) := '737472696E677364203D2074797065645F737472696E67732E73706C697428272C27290D0A2020202076617220747970656466203D206E6577205479706564287479706564456C656D2C207B0D0A202020202020737472696E6773456C656D656E743A20';
wwv_flow_imp.g_varchar2_table(7) := '74797065645F737472696E67732C0D0A202020202020737472696E67733A2074797065645F737472696E6773642C0D0A2020202020206C6F6F703A20747275652C0D0A2020202020207479706553706565643A2033302C0D0A2020202020206261636B53';
wwv_flow_imp.g_varchar2_table(8) := '706565643A2035302C0D0A2020202020206261636B44656C61793A20313530300D0A202020207D293B0D0A20202020636F6E7374206C6F6F705F656E61626C65203D2073656C65637428272E6C6F6F70272C74727565290D0A202020206C6574206C6F6F';
wwv_flow_imp.g_varchar2_table(9) := '705F66756E63203D206C6F6F705F656E61626C655B696E6465785D2E67657441747472696275746528276C6F6F702D656E61626C65642D66756E6327290D0A20202020636F6E737420747970655F7370656564203D2073656C65637428272E7479706573';
wwv_flow_imp.g_varchar2_table(10) := '70656564272C74727565290D0A202020206C657420747970655F66756E63203D20747970655F73706565645B696E6465785D2E6765744174747269627574652827747970652D73706565642D66756E6327290D0A20202020636F6E7374206261636B5F73';
wwv_flow_imp.g_varchar2_table(11) := '70656564203D2073656C65637428272E6261636B7370656564272C74727565290D0A202020206C6574206261636B5F66756E63203D206261636B5F73706565645B696E6465785D2E67657441747472696275746528276261636B2D73706565642D66756E';
wwv_flow_imp.g_varchar2_table(12) := '6327290D0A20202020636F6E7374206261636B5F64656C6179203D2073656C65637428272E6261636B64656C6179272C74727565290D0A202020206C6574206261636B5F64656C61795F66756E63203D206261636B5F64656C61795B696E6465785D2E67';
wwv_flow_imp.g_varchar2_table(13) := '657441747472696275746528276261636B2D64656C61792D66756E6327290D0A20207365745F6C6F6F70287479706564662C6C6F6F705F66756E63293B0D0A20207365745F747970657370656564287479706564662C747970655F66756E63290D0A2020';
wwv_flow_imp.g_varchar2_table(14) := '7365745F6261636B7370656564287479706564662C6261636B5F66756E63290D0A20207365745F6261636B64656C6179287479706564662C6261636B5F64656C61795F66756E63290D0A20207D293B0D0A0D0A2F2A2046756E6374696F6E20546F205365';
wwv_flow_imp.g_varchar2_table(15) := '7420547970696E67204C6F6F702054727565204F722046616C7365202A2F0D0A66756E6374696F6E207365745F6C6F6F70287479706564662C76616C297B0D0A202020206966202876616C203D3D20227472756522297B0D0A2020202020202020747970';
wwv_flow_imp.g_varchar2_table(16) := '6564662E6C6F6F70203D20747275653B0D0A202020207D0D0A20202020656C73650D0A202020207B0D0A20202020202020207479706564662E6C6F6F70203D2066616C73653B0D0A202020207D0D0A7D0D0A2F2A2046756E6374696F6E20546F20536574';
wwv_flow_imp.g_varchar2_table(17) := '20547970696E67205370656564202A2F0D0A66756E6374696F6E207365745F747970657370656564287479706564662C76616C297B0D0A202020206966202876616C20213D202222207C7C2076616C20213D206E756C6C297B0D0A202020202020202074';
wwv_flow_imp.g_varchar2_table(18) := '79706564662E747970655370656564203D202B76616C3B0D0A202020207D0D0A20202020656C7365207B0D0A20202020202020207479706564662E747970655370656564203D2033303B0D0A202020207D0D0A7D0D0A0D0A2F2A2046756E6374696F6E20';
wwv_flow_imp.g_varchar2_table(19) := '546F20536574204261636B205370616365205370656564202A2F0D0A66756E6374696F6E207365745F6261636B7370656564287479706564662C76616C297B0D0A202020206966202876616C20213D202222207C7C2076616C20213D206E756C6C297B0D';
wwv_flow_imp.g_varchar2_table(20) := '0A20202020202020207479706564662E6261636B5370656564203D202B76616C3B0D0A202020207D0D0A20202020656C7365207B0D0A20202020202020207479706564662E6261636B5370656564203D2035303B0D0A202020207D0D0A7D0D0A0D0A2F2A';
wwv_flow_imp.g_varchar2_table(21) := '2046756E6374696F6E20546F20536574204261636B2044656C6179202A2F0D0A66756E6374696F6E207365745F6261636B64656C6179287479706564662C76616C297B0D0A202020206966202876616C20213D202222207C7C2076616C20213D206E756C';
wwv_flow_imp.g_varchar2_table(22) := '6C297B0D0A20202020202020207479706564662E6261636B44656C6179203D202B76616C3B0D0A202020207D0D0A20202020656C7365207B0D0A20202020202020207479706564662E6261636B44656C6179203D20313530303B0D0A202020207D0D0A7D';
wwv_flow_imp.g_varchar2_table(23) := '0D0A7D293B';
null;
end;
/
begin
wwv_flow_imp_shared.create_plugin_file(
 p_id=>wwv_flow_imp.id(5105209270465984)
,p_plugin_id=>wwv_flow_imp.id(5098395429456063)
,p_file_name=>'main.js'
,p_mime_type=>'text/javascript'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_imp.varchar2_to_blob(wwv_flow_imp.g_varchar2_table)
);
end;
/
begin
wwv_flow_imp.g_varchar2_table := wwv_flow_imp.empty_varchar2_table;
wwv_flow_imp.g_varchar2_table(1) := '242877696E646F77292E6F6E28226C6F6164222C2866756E6374696F6E28297B2275736520737472696374223B636F6E737420653D28652C743D2131293D3E28653D652E7472696D28292C743F5B2E2E2E646F63756D656E742E717565727953656C6563';
wwv_flow_imp.g_varchar2_table(2) := '746F72416C6C2865295D3A646F63756D656E742E717565727953656C6563746F72286529292C743D6528222E7479706564222C2130293B742E666F72456163682828286C2C6E293D3E7B6C657420633D745B6E5D2E676574417474726962757465282264';
wwv_flow_imp.g_varchar2_table(3) := '6174612D74797065642D6974656D7322292C753D632E73706C697428222C22293B766172206F3D6E6577205479706564286C2C7B737472696E6773456C656D656E743A632C737472696E67733A752C6C6F6F703A21302C7479706553706565643A33302C';
wwv_flow_imp.g_varchar2_table(4) := '6261636B53706565643A35302C6261636B44656C61793A313530307D293B6C657420703D6528222E6C6F6F70222C2130295B6E5D2E67657441747472696275746528226C6F6F702D656E61626C65642D66756E6322293B6C657420643D6528222E747970';
wwv_flow_imp.g_varchar2_table(5) := '657370656564222C2130295B6E5D2E6765744174747269627574652822747970652D73706565642D66756E6322293B6C657420613D6528222E6261636B7370656564222C2130295B6E5D2E67657441747472696275746528226261636B2D73706565642D';
wwv_flow_imp.g_varchar2_table(6) := '66756E6322293B6C657420693D6528222E6261636B64656C6179222C2130295B6E5D2E67657441747472696275746528226261636B2D64656C61792D66756E6322293B2166756E6374696F6E28652C74297B652E6C6F6F703D2274727565223D3D747D28';
wwv_flow_imp.g_varchar2_table(7) := '6F2C70292C66756E6374696F6E28652C74297B652E7479706553706565643D2222213D747C7C6E756C6C213D743F2B743A33307D286F2C64292C66756E6374696F6E28652C74297B652E6261636B53706565643D2222213D747C7C6E756C6C213D743F2B';
wwv_flow_imp.g_varchar2_table(8) := '743A35307D286F2C61292C66756E6374696F6E28652C74297B652E6261636B44656C61793D2222213D747C7C6E756C6C213D743F2B743A313530307D286F2C69297D29297D29293B';
null;
end;
/
begin
wwv_flow_imp_shared.create_plugin_file(
 p_id=>wwv_flow_imp.id(5106734907469159)
,p_plugin_id=>wwv_flow_imp.id(5098395429456063)
,p_file_name=>'main.min.js'
,p_mime_type=>'text/javascript'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_imp.varchar2_to_blob(wwv_flow_imp.g_varchar2_table)
);
end;
/
prompt --application/end_environment
begin
wwv_flow_imp.import_end(p_auto_install_sup_obj => nvl(wwv_flow_application_install.get_auto_install_sup_obj, false));
commit;
end;
/
set verify on feedback on define on
prompt  ...done
